# 文字参照 (`character-reference`)

テキストノードや属性の値において、許可されていない不正な文字を文字参照でエスケープしていない場合に警告する。

> In certain cases described in other sections, text may be mixed with **character references**. These can be used to escape characters that couldn't otherwise legally be included in text.
> [cite: https://html.spec.whatwg.org/#syntax-charref]
>
> 他のセクションで説明するような特定の例において、テキストは**文字参照**と混合してもよい。これは、他の方法で合法的にテキストに含めることができない文字をエスケープするために使用できる。
> [引用: https://momdo.github.io/html/syntax.html#syntax-charref]

## ルールの詳細

👎 間違ったコード例

```html
<div id="a"> > < & " </div>
<img src="path/to?a=b&c=d">
```

👍 正しいコード例

```html
<div id="a"> &gt; &lt; &amp; &quot; </div>
<img src="path/to?a=b&amp;c=d">
```

### オプション

なし

### デフォルトの警告レベル

`warning`
